---
layout: base
permalink: /colophon/index.html
title: Colophon
---

# Colophon

A little bit of everything regarding how this site was built and its origins.

## Technology

The site is powered by [11ty][11ty], using a mixture of [Nunjucks][nunjucks] and [Markdown][markdown] content.

A large part of this site was based on the principles established in the [eleventy-excellent][eleventyexcellent] starter.

Markdown is processed using [markdown-it][markdownit]. I am using a few plugins:
- [markdown-it-abbr][markdownitabbr] - Adds support for abbreviations.
- [markdown-it-anchor][markdownitanchor] - Automatically adds anchor ids to titles (h1, h2, etc).
- [markdown-it-footnote][markdownitfootnote] - Adds support for footnotes.
- [markdown-it-prism][markdownitprism] - Adds syntax highlighting to code blocks.

A minimal amount of [PostCSS][postcss] is used as a developer convenience, othwise pure CSS is used. Any utility classes I've created myself.

Responsive images are generated by [eleventy-img][eleventyimg].

Media is hosted on [bunny.net][bunnynet].

RSS is generated by [eleventy-plugin-rss][eleventypluginrss].

Date formatting uses [dayjs][dayjs].

Code formatting is applied by [Prism][prismjs] and uses a tweaked version of the [Tokyo Night][tokyonight] colour scheme.

## Design

Headings are using the [Anek Latin][aneklatin] font, and the body font is [iA Writer Quattro][iawriterquattro].

The colour palette is viewable on the [styleguide][styleguide] page.

Icons are from the [Chunk Icons][chunkicons] set by [Noah Jacobus][noahjacobus].

Lots of inspiration (and sometimes direct code) from [Every Layout][everylayout].

## Wonderful Frog?

I happen to really like frogs, like a lot. I used to have be part of a group called "Wonderful Failure", and happened to really like the adjective "wonderful" so I kept it. It coincidentally still abbreviates to "WF", so I'm keeping the spirit going! As we used to say: "ngu!" or "never give up!"

## Current URL

wonderfulfrog.com (2023 - Present)

## Previous URLs

My site has changed URLs over the years, and was previously found at the following URLs:

- devinlumley.com (2020 - 2023)
- devinlumley.me (2016 - 2020)
- devinwl.github.io (??? - 2016)

## Licensing

All text content inside of `src/content` is &copy; Devin Haska - you may not use it without permission.

Any code (for example, `.js`, `.css`, `.njk`) is published under an [MIT][mit] license - you're free to use it how you see fit. If you feel like attributing me, that'd be swell.

I've done my best to show where I found any code I did not write myself.

[11ty]: https://11ty.dev
[markdown]: https://daringfireball.net/projects/markdown/syntax
[nunjucks]: https://mozilla.github.io/nunjucks/templating.html
[markdownit]: https://github.com/markdown-it/markdown-it
[markdownitabbr]: https://github.com/markdown-it/markdown-it-abbr
[markdownitanchor]: https://github.com/valeriangalliat/markdown-it-anchor
[markdownitfootnote]: https://github.com/markdown-it/markdown-it-footnote
[markdownitprism]: https://github.com/jGleitz/markdown-it-prism
[postcss]: https://postcss.org
[eleventyimg]: https://www.11ty.dev/docs/plugins/image
[bunnynet]: https://bunny.net
[eleventypluginrss]: https://www.11ty.dev/docs/plugins/rss
[dayjs]: https://day.js.org/en
[aneklatin]: https://fonts.google.com/specimen/Anek+Latin
[iawriterquattro]: https://github.com/iaolo/iA-Fonts
[styleguide]: /styleguide
[chunkicons]: https://www.figma.com/community/file/1327310800295849271
[noahjacobus]: https://noahjacob.us
[mit]: https://opensource.org/license/mit
[eleventyexcellent]: https://eleventy-excellent.netlify.app
[everylayout]: https://every-layout.dev
[prismjs]: https://prismjs.com
[tokyonight]: https://github.com/folke/tokyonight.nvim
