---
layout: base
permalink: /uses/index.html
title: /uses
---

# Uses

Last updated on **February 19th, 2024**.

A list of my favourite software, tools, gear, configurations, and everything else between.

More lists like this are available at [uses.tech][usestech].

There are no affiliate links.

## Development

My editor of choice is [Neovim][neovim], which uses a [very opinionated setup][neovimsetup].

My preferred terminal is [iTerm2][iterm2] on macOS, or [Windows Terminal][windowsterminal] on Windows.

Wherever possible I use the [Tokyo Night][tokyonight] colour scheme.

My favourite font is [Operator Mono][opmono]. I have modified it with [Nerd Font][nerdfont] glyphs to power up my terminal views.

I use a mixture of [Prettier][prettier] and [ESLint][eslint] when developing my own projects, and encourage teams to use it if they aren't already. It takes code style and formatting out of code review discussions and keeps everything consistent.

I use the latest version of macOS for my work, but am comfortable doing web development on Windows 11 too.

My favourite frameworks are [React][reactjs] for JavaScript and [Tailwind][tailwindcss] for CSS. Lately though I find myself gravitating to things that don't require as much tooling. Modern React confuses the hell out of me, and feels like a solution to a problem that no longer exists - JavaScript has come a _long_ way since 2013. For CSS I love utility classes, but get bogged down with the sheer number of them in Tailwind (class name soup is real, but not a reason to avoid Tailwind). I find myself looking toward solutions that work for years to come and introduce as few breaking changes as possible.

When it comes to mobile development my tool of choice is [React Native][reactnative]. Unlike its web counterpart, the React Native space continues to get better and better. I love using tools like [Reanimated][reanimated] to make fluid and beautiful animations. [Expo][expo] has changed the game and makes development a breeze. There is certainly some magic going on under-the-hood.

## Gear

My monitor is a [Dell U3423WE][u3423we] ultra-wide monitor. It has a built-in KVM switch that lets me swap between my work and gaming computer effortlessly. My only complaint is that the Ethernet port is flaky, so I can't use it.

My keyboard is a [Keychron Q4][keychronq4] with Gateron G Pro Red switches. Right now I have their white PBT keycaps with an OSA style.

My mouse is a [Keychron M3][keychronm3]. It love it because there is zero branding on the top part of the mouse, and it works very well. It's a cheap, no nonsense mouse.

My desk is the [Autonomous SmartDesk Pro][smartdesk] with a 53" bamboo top. It's a solid desk, but their customer support burned me pretty hard so I've sworn off the company.

My speakers of choice are a pair of [Sonos One SL][sonosonesl]s mounted to my walls. They're expensive, but work extremely well with AirPlay 2. And I can seamlessly add other Sonos speakers to my listening experience.

## Music

I've tried every streaming service out there that's available in Canada (RIP to [Rdio][rdio], you were the real one), and I've given up and settled with [Apple Music][applemusic]. At least it integrates decently well with the ecosystem.

I'm one of those weirdos that likes to buy music, so my favourite platform is [Bandcamp][bandcamp] ([for now][bandcamplayoffs], at least). If an artist isn't on Bandcamp, I'll try other online stores like [7digital][7digital].

Speaking of buying music, I need a way to keep it organized. Enter [beets][beets], which does an amazing job. It ships with a bunch of opinionated defaults that line up with my own opinions, which worked great for me. Can be tweaked and tinkered with to your heart's content.

I use [Plex][plex] as a media server. It does a fine job with serving music.

When it comes to playing music from the Plex server, I like [Prism][prismapp].

I use the [Sony WH-1000XM3][wh1000xm3] headphones. Unparallelled noise cancelling and long battery life. Just wish it could swap devices easier. I've had these for over 5 years and they keep going. One day I might upgrade to a recent model that handles device switching better, but these are great.

For wired headphones I have my [Sony MDR-7506][sonymdr7506]s. Just plain good sound. I wish they still made the MDRv6, though.

I use [Last.fm][lastfm] for tracking my music listening history. They've been around for a long time. I find their reports insightful and chock-full of interesting data. I love being able to go back several years and see what I was listening to.

[MusicBox][musicbox] is a wonderful app for keeping track of music to listen to later. It supports tagging and rating, and integrates well with iOS's Share Sheet. Supports Apple Music and Spotify. You can add songs, albums, and even playlists!

[Sleeve][sleeveapp] for showing what music is playing. Integrates with Last.fm for easy scrobbling, and syncs my loved tracks on Apple Music and Last.fm.

## Photography

My camera camera is [FUJIFILM X-E4][fujifilmxe4]. I find that any picture I take looks great right out of the camera, no tweaks required. There are a lot of fun film options to choose from.

When I don't have my X-E4, whatever phone I've got is my camera (something something the best camera is the one you have with you). It's currently an iPhone 13 mini, and my only tweak to the camera app is always starting with a -0.3 exposure. Try it out, it makes a noticable difference for me.

Photo management is all done through [Photos][photosapp] on macOS.

## Storage and Backups

All of our media is stored on our [Synology DS218j][ds218j], and served by [Plex][plex]. I have two 2TB drives in there configured using RAID 1 (mirrored).

Offsite backups are sent to [Backblaze B2][backblazeb2].

Photos are the exception, and are stored using [iCloud][icloud]. I wish there were an easy way to back up photos to a different technology.

## Email

My email host is [Fastmail][fastmail]. So far I've migrated from Gmail to ProtonMail, and then to Fastmail, and then to a friend's mail server, and back to Fastmail. Email is the one thing I want to be as close to 100% reliable as possible. It should Just Work™.

I use Fastmail's web client on desktop, and the stock [Mail app][mailapp] on iOS.

## Software

My favourite pieces of software not mentioned elsewhere.

For password management I use [1Password][1pass].

[Dark Noise][darknoise]. I have a hard time falling asleep without some kind of white noise. Beats keeping a fan running all the time.

[Feedbin][feedbin] for managing my feeds. No matter what anyone has said, RSS is _not dead_. If anything, they are flourishing even more.

[Reeder][reeder] for consuming my feeds. A beautiful interface with intuitive gestures. It makes reading fun, plain and simple. It also periodically downloads copies of your feed, so connectivity isn't required to read.

[Ivory][ivoryapp] for consuming Mastodon feeds.

[Obsidian][obsidianmd] for all of my note-taking. It's cross-platform and supports plugins. Built-in support for wikilinks. I don't have a complex organization strategy for my notes - just a basic set of folders. It's very easy to get caught in the rabbit hole of "best way to organize your thoughts".

I use the [Template][obsidiantemplate] plugin quite a bit - helps with notes with a common structure.

The [Actions URI][obsidianactions] plugin integrates well with iOS's Shortcuts, which lets me create a note and populate it with data from a single tap!

[Figma][figma] for all things design. It's the industry standard.

[Raycast][raycast] for doing computer-related things. I love using it for launching apps, currency conversions, word definitions, window management, joining meetings, and I'm sure something else I'm forgetting. I couldn't care less about the AI junk, but it does everything else great.

## Other Gear

I don't know where else to put these. Things I enjoy using to help organize my life, or maybe just have some fun.

My favourite notebook is the [Hobonichi Techo][techo]. I use it as a journal and catch-all for life events. It's well-suited to tracking emphera like movie tickets or receipts. I adore the paper - it's a thin, delicate paper with a wonderful texture. It's somehow strong enough to resist fountain pen bleed-through. There is a whole category of accessories and covers to personalize your Techo. They also offer a variety of other notebook formats that all use the same paper. If you're not careful, you'll find yourself dumping money into the hobby.

My favourite pen is my [TWSBI ECO-T][twsbi] in the mint-blue colour. The transparent style evokes a feeling of nostalgia. I love seeing my ink well full of beautiful colours. I use a fine nib. I find the thickness just right.

Another favourite fountain pen is the [Lamy Safari][lamysafari]. As a starter pen, you can't go wrong here. There are such a wide variety of nibs and colours to choose from.

I use a [Fjallraven High Coast Hip Pack][hippack] as my everyday carry. It's just big enoough that I can fit all of my things without feeling cumbersome. I honestly don't know why it took me so long to embrace the bag life.

For better or worse, I love [AirTag][airtag]s. Makes it easy to find stuff that I often misplace.

[usestech]: https://uses.tech
[neovim]: https://neovim.io
[neovimsetup]: https://github.com/wonderfulfrog/neovim
[iterm2]: https://iterm2.com
[windowsterminal]: https://apps.microsoft.com/detail/9N0DX20HK701?hl=en-US&gl=US
[tokyonight]: https://github.com/folke/tokyonight.nvim
[opmono]: https://www.typography.com/blog/introducing-operator
[nerdfont]: https://github.com/ryanoasis/nerd-fonts
[prettier]: https://prettier.io
[eslint]: https://eslint.org
[u3423we]: https://www.dell.com/en-ca/shop/dell-ultrasharp-34-curved-usb-c-hub-monitor-u3423we/apd/210-bfou/monitors-monitor-accessories
[keychronq4]: https://www.keychron.com/products/keychron-q4-qmk-via-custom-mechanical-keyboard?variant=40097511669849
[keychronm3]: https://www.keychron.com/products/keychron-m3-wireless-mouse?variant=40294351929433
[smartdesk]: https://www.autonomous.ai/standing-desks/smartdesk-2-business?option_code=Smartdesk2Business-FrameSmartDesk2_DeskFrame.White,Model.Proframe-Surface_DeskDesign.53x29Classic,DeskTop.NoTop
[rdio]: https://www.theverge.com/2015/11/17/9750890/rdio-shutdown-pandora
[applemusic]: https://music.apple.com/us/browse
[bandcamp]: https://bandcamp.com
[bandcamplayoffs]: https://variety.com/2023/music/news/bandcamps-layoffs-songtradr-1235758123
[7digital]: https://ca.7digital.com
[beets]: https://beets.io
[plex]: https://www.plex.tv
[prismapp]: https://prism-music.app
[wh1000xm3]: https://www.sony.com/ug/electronics/headband-headphones/wh-1000xm3
[sonymdr7506]: https://www.rtings.com/headphones/reviews/sony/mdr-7506
[fujifilmxe4]: https://fujifilm-x.com/global/products/cameras/x-e4
[photosapp]: https://www.apple.com/ca/macos/photos
[ds218j]: https://global.download.synology.com/download/Document/Hardware/DataSheet/DiskStation/18-year/DS218j/enu/Synology_DS218j_Data_Sheet_enu.pdf
[backblazeb2]: https://www.backblaze.com/cloud-storage
[icloud]: https://www.icloud.com
[fastmail]: https://fastmail.com
[mailapp]: https://apps.apple.com/us/app/mail/id1108187098
[techo]: https://www.1101.com/store/techo/en
[lamysafari]: https://www.lamy.com/en/lamy-safari
[twsbi]: https://www.twsbi.com/collections/fountain-pens/products/twsbi-eco-t-mint-blue-fountain-pen
[hippack]: https://www.fjallraven.com/ca/en-ca/bags-gear/backpacks-bags/travel-bags/high-coast-hip-pack
[airtag]: https://www.apple.com/ca/airtag
[1pass]: https://1password.com
[darknoise]: https://darknoise.app
[lastfm]: https://last.fm
[feedbin]: https://feedbin.com
[reeder]: https://reederapp.com
[ivoryapp]: https://tapbots.com/ivory
[obsidianmd]: https://obsidian.md
[obsidiantemplate]: https://help.obsidian.md/Plugins/Templates
[obsidianactions]: https://github.com/czottmann/obsidian-actions-uri
[figma]: https://figma.com
[musicbox]: https://apps.apple.com/us/app/musicbox-save-music-for-later/id1614730313
[reactjs]: https://react.dev
[tailwindcss]: https://tailwindcss.com
[reactnative]: https://reactnative.dev
[reanimated]: https://docs.swmansion.com/react-native-reanimated
[expo]: https://expo.dev
[raycast]: https://www.raycast.com
[sleeveapp]: https://replay.software/sleeve
[sonosonesl]: https://www.sonos.com/en-ca/shop/one-sl-b-stock-shadow
