---
title: Give In to Feel Good
date: 2020-08-16
excerpt: Procrastination isn’t just about laziness, is it?
tags: ["procrastination", "mental health"]
youtube: true
---

Procrastination is something I struggle with every single day. I find it often strikes as critical thoughts:

- This will turn out horribly, better to not even start.
- This will take forever to learn, why not do something fun?
- Practicing is so boring and hard, let’s do something easier.

I used to think that procrastination was because of sloth, or laziness. Now I realize it’s different — it’s negative emotions. Procrastination is how one manages these negative emotions.

The thoughts I get all the time are like a form of anxiety. I don’t cope well with these emotions. My natural response is to give in now to feel good. I’d rather reward myself over the short-term rather than the long-term. I know that the long-term reward is what I want, and yet I find myself going after the short-term reward instead. It feels good immediately.

[This thread on Hacker News](https://news.ycombinator.com/item?id=24120275) prompted my journey into my own procrastination, and [this video](https://www.youtube.com/watch?v=mhFQA998WiA) from the thread helped me look at procrastination in a different way. This was a lightbulb moment for me. To me my source of procrastination is not myself being lazy or uninterested, but being critical. I’m a perfectionist (and I’ve come to realize I don’t like that), and I am plagued by reasons I shouldn’t start a task. This helps me at least identify the problem.

{% youtube "mhFQA998WiA", "Teaching Talk: Helping Students Who Procrastinate (Tim Pychyl)" %}

I have some actionable goals that I want to try:

1. Break any prospective task into a concrete goal. “Work on a blog post” is vague and hard to measure, but “write a paragraph about procrastination” is more structured and easy to track.
2. Remind myself of the feeling I get when I accomplish a task. It might feel good to give in right away, but remember the feeling of sitting down and doing the work and feeling great afterward. Use that as a form of motivation.
3. Don’t forget what my long-term goal is with a given task. For example, practicing anatomy in drawing is working toward a long-term goal of being able to draw from imagination.
4. Taking a deliberately sloppy start to “get momentum going” is better than doing nothing at all. If the sloppy start doesn’t go anywhere — well, at least I gave it an honest effort. Try to ignore my inner perfectionist and show up.

Now comes the long and arduous task of working on it. Then again, maybe just one more self-help YouTube video...
