---
title: Lately
date: 2024-01-02T03:36:21.754Z
excerpt: Kept you waiting, huh?
tags: ["updates"]
---

I know it's been a long time since my last post. Over a year in fact. I'd like to do a recap on the major life events, because there's been a lot!

Instead I'd like to talk about other stuff that's happened lately.

I got a new monitor - my first foray into ultra-wide - the [Dell U3423WE](https://www.dell.com/en-ca/shop/dell-ultrasharp-34-curved-usb-c-hub-monitor-u3423we/apd/210-bfou/monitors-monitor-accessories#techspecs_section). It was a steep investment, but I've had my previous monitor for close to 10 years, so it's a worthwhile investment if I can keep it going that long. I really like it because not only is the picture quality amazing (and it's ultra-wide), it also has a built-in KVM switch so I can swap between my MacBook and PC effortlessly. It even swaps over the Ethernet connection if I need it.

I've had it for a few weeks now and it's wonderful. It doubles as my monitor for gaming too, which has been surprisingly immersive. I do feel a little limited at 60hz, but I could not find a monitor that had the same features as the Dell with a higher refresh rate. At the end of the day I prefer the KVM switch and power delivery features over refresh rate.

~~The holidays are coming up fast.~~ (I'm posting this well after Christmas. Oops) This whole year went by insanely fast. It feels like as I get older my perception of time warps. Days bleed into weeks into months. Individual days can drag on, but before I know it the month is over. As always I feel woefully unprepared for the upcoming season... I still have gift shopping to do, dinner to help plan, even get the decorations up... (I did end up doing all of my gift shopping successfully, Christmas dinner went off without a hitch, and even got the decorations up in time)

## Reading

I'm slowly trying to rebuild my reading habit. Since probably... last spring or so, I haven't been reading at all. My favourite time to read is when I'm going to bed, but I was either too tired to even read, or I'd reach for my phone without even thinking about it.

I've been reading [Horus Rising](https://www.blacklibrary.com/the-horus-heresy/novels/horus-rising.html) by Dan Abnett. Always wanted to start reading some Warhammer 40,000 fluff and now I'm finally doing it. This book takes place 10,000 years before the "current time" of the 41st millennium. I'm enjoying Abnett's writing, but disappointed that he doesn't carry on the next few books.

I found this [Psytrance Guide](https://psytranceguide.com) quite engaging. For anyone who enjoys trance music, this is an encyclopedic resource for all sub-genres of trance -- I suppose more specifically psytrance -- and plenty of samples to go with. I got particularly into Goa Trance... something about the fact it came from the 90s to 00s really appealed to me. I used to listen to a lot of electronic music when I was younger. Lots of DJ Tiesto. Darude.

## Watching

We usually have two shows going at any given time. A serious show that typically has a long-running plot, and something silly that we can watch when we need a bit of levity.

The silly show is classic CanCon (Canadian Content) -- [Corner Gas](https://www.cornergas.com/). The show takes place in the fictional town of Dog River, typically surrounding the titular Corner Gas gas station. It's unbashedly Canadian and a delight to watch. It wasn't shy about including then-current politicians either (for better or worse).

Our "serious show" is [Star Trek: Strange New Worlds](https://www.ctv.ca/shows/star-trek-strange-new-worlds). We tried to enjoy Picard, and may try again someday, but we feared for modern Star Trek after watching some of it. Thankfully, Strange New Worlds is here to say that they can still recreate the magic of TOS and TNG. It's so good to see everyone around a table again discussing how they want to approach this week's problem. I love Ethan Peck's Spock. He might be my favourite character of the bunch. I find I resonate most with Vulcans in any show, like T'Ana from Lower Decks. Truly though the whole cast is stellar.

I stumbled upon this short film called [Stalled](https://www.youtube.com/watch?v=7mSH86O2qzA). I honestly forget how I found it... might've been in my recommended feeds. A man enters a bathroom stall... and then sees himself peeking into the stall he's in. It gets much wilder and weirder from there.

Apple produced a short called [The Lost Voice](https://www.youtube.com/watch?v=ra9I0HScTDw&pp=ygUOdGhlIGxvc3Qgdm9pY2U%3D). It demonstrates the power of their newest feature called Personal Voice. It's amazing to me that this technology exists, and is only getting better. And fast, too.

## Playing

![Our mighty castle after many hours of work. I'm quite fond of the ramparts / courtyard area.](/images/2023-11-27-21_41_16-greenshot.png "Our mighty castle after many hours of work. I'm quite fond of the ramparts / courtyard area.")

Like clockwork, my friends and I started up another Valheim server. It's a lot like that meme where people get into Minecraft for 2 weeks. Once a year at least, we will likely start up a new Valheim server.

We've since made it to and through the Mistlands, which was new to us. The biome is tough and unforgiving, but also nails the vibe. We had a lot of fun (and frustration) making our way through abandoned mines and rocky cliffs - all the while struggling to see further than 5 feet in front of us.

We had a ton of fun assembling our sprawling castle, but the game tends to suffer once there are a ton of objects on screen. It became the Castle of 20 FPS for me. We had an epic staircase entrance, our own great hall and kitchen (called The Drooling Lox), a forge/blacksmith, a workshop, a bakery, a farm, and even a chicken coop under the castle ramparts.

I finished Warhammer 40,000: Boltgun this month. It was a fun 40k-themed retro shooter, but overstayed its welcome by a few hours. The level design got confusing sometimes too. Perhaps that was the part of the "charm" of 90s shooters, but they could've left that part in the past.

Still, if you happen to be within the intersection of 40k and retro shooters, you could do worse. The dedicated taunt button made up for a lot. There were so many that I don't know if I ever heard a repeat.

## Listening

My new album habits have been all over the map lately. I hope before the year ends (or shortly thereafter) I can compile a list of my favourite 2023 albums. (editors note: the year did end without a 2023 list being completed. Perhaps the author will eventually write one)

One of recent note is [My Soft Machine](https://album.link/ca/i/1662545566) by Arlo Parks. I heard this one on [Afterdark on CBC](https://www.cbc.ca/listen/live-radio/1-1051-afterdark) (Odario Williams is a household name here). There is a mixture of shoegaze and Grimes, which delivers a moody and expressive form of pop that is very soothing.

I got into The Beaches by hearing their latest single Blame Brett on the radio. I found their new album okay, very listenable but not much that stands out (save for the single). That said, a friend suggested I check out [Late Show](https://album.link/ca/i/1440897088) and that album is killer. A grittier sound with a rougher edge.

A fast favourite is Olivia Rodrigo's [GUTS](https://album.link/ca/i/1694386825) which found favour with the both of us here. [My favourite track Obsessed](https://www.youtube.com/watch?v=PGwzUpVjsZI) didn't even make it to the album - at least the one most of us got - it was released only as part of a RSD exclusive release. Hopefully it makes its way to a deluxe or reissue someday.

Another friend of mine told me about Abstract Orchestra, which I can't believe I'm only just discovering now. They've done a few instrumental jazzy versions of MF DOOM's releases, but my favourite has to be [their take on J Dilla's Donuts](https://album.link/ca/i/1238569093). It's the perfect album to throw on when I don't know what I want to listen to, or even as engaging background music. I love Donuts, but there's something special about Dilla too!
