---
title: Recently
draft: false
date: 2021-05-01T19:03:49.841Z
excerpt: April 2021.
tags: ["recently"]
youtube: true
---

{% image "https://cdn.wonderfulfrog.com/mistergotcha.png", "The Nib's 'Mister Gotcha' comic", "'Curious!' - the catchphrase of those 'just asking questions'" %}

[Mister Gotcha][mistergotcha] is prime material when I complain about Apple and its ecosystem. There’s lots to complain about, but I’m a heavy user. Out of the options available, they are (in my opinion) the best choice as a consumer. That doesn’t mean they are perfect, though. Apple can (and should) do better.

## Reading

Have you been feeling “blah” lately? You’re not depressed or overly anxious, but something is off? Me too, and I’m glad I found a way to identify that feeling properly (rather than “blah”). It’s called [languishing][languishing].

I’ve been reading a lot of articles and posts on Apple and the App Store: Apple vs. Epic, antitrust lawsuits, Apple crushing competitors. There’s a lot to unpack, and I plan to in another post. For now though I want to leave you with MKBHD’s excellent “Apple vs. The Paradox of Choice”. This is what happens when we put too much trust into one company without any checks and balances.

{% youtube "qNAo0UdYF6g", "Apple vs The Paradox of Choice!" %}

You know the state of the video game industry is in a bad spot when [Sony is patenting an AI that will play video games for you][sonyai]. The intent appears to be innocent at first — it will learn how you play and assist you — but the larger implication I feel is that it will play games _for you_, as in you sit there and watch and it’ll do everything. Because games are too grind-y these days, right? Even though it was the game industry itself that got us to this point. The relentless pursuit of maximizing retention and engagement propels into games that are playing themselves.

I wish more games would aim for small but tight experiences: something you can finish in a weekend, but leaves a lasting impression because of its quality and polish. Games don’t _need_ to last 120 hours anymore (and they never did).

## Watching

I’m an absolute sucker for all things astronomy, including the Space Race and the Moon, so I feel like [For All Mankind][forallmankind] was written for me. The alternative history aspect has been fun, and I don’t want to spoil too much here, but it’s fun to think about what could’ve been if the Space Race never ended.

The first season is all aces and 100% binge-worthy. With an hour for each episode, there is plenty of room for the show to breathe and settle into a good story. Things move along at a good pace.

The second season is not as great. They zeroed into the family drama aspect of the show, which I understand (we need you to care about these characters so when they are in high-stakes situations it feels important), but there has been considerably less “space time” for a show that I thought was all about our continuation of space exploration. They started exploring interesting concepts like militarizing the moon, but then there’s a lot of “now let’s see what’s going on on Earth” and it’s like “no wait, there’s cool shit happening on the Moon why are you doing this?”

I recommend though for anyone with Apple TV+.

{% youtube "ijKAtzQY1wc", "Yasuke | Official Trailer | Netflix" %}

I discovered [Yasuke][yasuke] as a new album from Flying Lotus (which is _phenomenal_), but the premise and protagonist sold me on it. I’ve only seen one episode, but I’m hungry for more.

## Playing

I was in love with Hades when it originally came out ([see my thoughts here][hades]), and happily finished a successful run through the Underworld. After that, I must’ve moved on — but that was a big mistake. There’s more to see and do, and every single run is just as (or more) fun as the last.

I got the “true ending”, and now I’m working on the epilogue content. It’s incredible to me how much voice-acted content there is. I swear every time I return to the House of Hades I’m hearing something new.

## Listening

Playing Hades at any point guarantees that I will be listening to the soundtrack, on repeat, for a while. No contest — this is Darren Korb’s best work.

Royal Blood’s new album _Typhoons_ came out yesterday, and the singles have been so good. I scored a limited transparent blue vinyl version which looks super rad. I’m miffed it didn’t come with a download code though, come on record labels! Don’t be so cheap!

Thanks to [my pal doing a video on Beastie Boys][rankvideo], I decided I needed to get to know them better. They feel like another one of those bands that everyone else grew up with, but I missed the boat on. Another example for me would be Red Hot Chilli Peppers.

I’m starting my journey with Hot Sauce Committee Pt. 2! The first thing that surprised me was the sheer depth of the musicality on this record. I didn’t expect it to be so dynamic! And the music video for [Make Some Noise][makesomenoise] is a true who’s who of Hollywood celebrities.

I’ll leave you with this excellent tweet (of an image, from Tumblr — how meta) that [explains NFTs][nfts] for the stupid things that they are.

[mistergotcha]: https://thenib.com/mister-gotcha/
[languishing]: https://www.nytimes.com/2021/04/19/well/mind/covid-mental-health-languishing.html
[sonyai]: https://www.pcgamer.com/sony-patents-an-ai-bot-that-will-play-your-games-for-you/
[forallmankind]: https://tv.apple.com/ca/show/for-all-mankind/umc.cmc.6wsi780sz5tdbqcf11k76mkp7
[yasuke]: https://www.netflix.com/title/80990863?s=i&trkid=0
[hades]: ./posts/recently-11-2020#hades
[rankvideo]: https://www.youtube.com/watch?v=Y5sDNZjlfKM
[makesomenoise]: https://www.youtube.com/watch?v=WdgLMslbDuY
[nfts]: https://mobile.twitter.com/charlottejee/status/1387722711766650884
